Agency
Clients, their teams and agency-wide views.
GET/agency/activity
Get activity (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
clientId | query | string (uuid) | |
from | query | string (date) | |
to | query | string (date) |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/activity \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 429
GET/agency/clients
Get clients (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/clients \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
POST/agency/clients
Clients (agencys)
| Body field | Type | Notes |
|---|---|---|
name required | string | at least 1 characters. up to 120 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/clients \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text"}'Responses:
201 400 401 402 429
GET/agency/clients/{id}
Get clients (agency)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/clients/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 404 429
PATCH/agency/clients/{id}
Change clients (agency)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/agency/clients/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 402 404 412 429
POST/agency/clients/{id}/archive
Archive (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/archive \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
201 400 401 402 404 429
POST/agency/clients/{id}/custom-fields/copy
Copy (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
fromClientId required | string (uuid) |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/custom-fields/copy \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"fromClientId":"01a15d23-0000-7000-8000-000000000000"}'Responses:
201 400 401 402 404 429
POST/agency/clients/{id}/delete
Delete (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
confirmName required | string | at least 1 characters. up to 120 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/delete \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"confirmName":"text"}'Responses:
200 400 401 402 404 429
POST/agency/clients/{id}/restore
Restore (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/restore \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
201 400 401 402 404 429
GET/agency/clients/{id}/team
Get team (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/team \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 404 429
PUT/agency/clients/{id}/team/{userId}
Set team (agency)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) | |
userId required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
role required | one of sales_agent, broker, sales_manager, marketing_manager, marketing_analyst, executive_readonly | |
channels | list of one of call, whatsapp, sms, email, instagram, meeting or null |
curl -X PUT https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/team/{userId} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"role":"sales_agent","channels":["call"]}'Responses:
200 400 401 402 404 412 429
DELETE/agency/clients/{id}/team/{userId}
Remove team (agency)
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) | |
userId required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/agency/clients/{id}/team/{userId} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 402 404 429
GET/agency/export
Get export (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/export \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
GET/agency/leads
Get leads (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
clientId | query | string (uuid) | |
q | query | string | up to 100 characters |
status | query | string | |
state | query | one of open, closed | |
ownerId | query | string (uuid) or one of unassigned or one of me | |
source | query | one of website, referral, portal, direct, meta_ads, google_ads, walk_in, other | |
channel | query | one of meta, google, bing, linkedin, tiktok, website, whatsapp, referral, portal, walk_in, manual, other | |
tag | query | string | up to 40 characters |
scoreMin | query | integer | at least 0. up to 100 |
createdFrom | query | string | |
createdTo | query | string | |
test | query | one of exclude | |
sla | query | one of breached, at_risk | |
followup | query | one of overdue, today | |
field | query | string | |
fieldValue | query | string | up to 200 characters |
pool | query | one of true | |
page | query | integer | at least 1. default 1 |
pageSize | query | integer | at least 1. up to 100. default 50 |
sort | query | one of created, updated, score, value | default "created" |
order | query | one of asc, desc | default "desc" |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/leads \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 429
GET/agency/leads/export
Get export (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
format | query | one of xlsx, csv | default "xlsx" |
dataset | query | one of leads, activities | default "leads" |
clientId | query | string (uuid) | |
q | query | string | up to 100 characters |
status | query | string | up to 200 characters |
state | query | one of open, closed | |
ownerId | query | string | up to 36 characters |
source | query | string | up to 40 characters |
tag | query | string | up to 40 characters |
scoreMin | query | integer | at least 0. up to 100 |
createdFrom | query | string | |
createdTo | query | string | |
test | query | one of exclude | |
sla | query | one of breached, at_risk | |
followup | query | one of overdue, today | |
field | query | string | |
fieldValue | query | string | up to 200 characters |
pool | query | one of true | |
channel | query | one of meta, google, bing, linkedin, tiktok, website, whatsapp, referral, portal, walk_in, manual, other | |
campaignId | query | string (uuid) | |
adsetId | query | string | |
adId | query | string | |
formId | query | string | |
stageId | query | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/leads/export \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 429
GET/agency/leads/export/count
Count the leads an agency download would hold
The same filters as the agency download. Name one workspace with clientId (a client, or the agency's own company) or leave it out for every client. Answers { leads, clients, limit, tooMany }.
| Parameter | In | Type | Notes |
|---|---|---|---|
format | query | one of xlsx, csv | default "xlsx" |
dataset | query | one of leads, activities | default "leads" |
clientId | query | string (uuid) | |
q | query | string | up to 100 characters |
status | query | string | up to 200 characters |
state | query | one of open, closed | |
ownerId | query | string | up to 36 characters |
source | query | string | up to 40 characters |
tag | query | string | up to 40 characters |
scoreMin | query | integer | at least 0. up to 100 |
createdFrom | query | string | |
createdTo | query | string | |
test | query | one of exclude | |
sla | query | one of breached, at_risk | |
followup | query | one of overdue, today | |
field | query | string | |
fieldValue | query | string | up to 200 characters |
pool | query | one of true | |
channel | query | one of meta, google, bing, linkedin, tiktok, website, whatsapp, referral, portal, walk_in, manual, other | |
campaignId | query | string (uuid) | |
adsetId | query | string | |
adId | query | string | |
formId | query | string | |
stageId | query | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/leads/export/count \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 429
GET/agency/leads/unread
Get unread (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/leads/unread \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
GET/agency/options
Get options (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/options \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
GET/agency/overview
Get overview (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/overview \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
GET/agency/report
Get report (agencys)
| Parameter | In | Type | Notes |
|---|---|---|---|
from | query | string | |
to | query | string | |
includeTest | query | one of true, false | default "false" |
clientId | query | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/report \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 429
GET/agency/staff
Get staff (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/staff \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
POST/agency/staff
Staff (agencys)
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/staff \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com"}'Responses:
201 400 401 402 429
POST/agency/staff/invitations
Invitations (agencys)
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/agency/staff/invitations \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com"}'Responses:
201 400 401 402 429
PATCH/agency/staff/{userId}
Change staff (agency)
| Parameter | In | Type | Notes |
|---|---|---|---|
userId required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
agencyRole required | one of admin, staff |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/agency/staff/{userId} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"agencyRole":"admin"}'Responses:
200 400 401 402 404 412 429
DELETE/agency/staff/{userId}
Remove staff (agency)
| Parameter | In | Type | Notes |
|---|---|---|---|
userId required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/agency/staff/{userId} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 402 404 429
GET/agency/tasks
Get tasks (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/tasks \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
GET/agency/unread
Get unread (agencys)
curl -X GET https://crm.anibrosdesign.com/api/v1/agency/unread \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 429
Something missing or unclear? Tell us.